<?php
/**
 * @version 1.5 stable $Id: default.php 1108 2012-01-15 04:06:31Z ggppdk $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$html5								= 1; // USE HTML5 or XHTML
$bootstrap							= 1; // USE Bootstrap

$page_classes  = '';
$page_classes .= $this->pageclass_sfx ? ' page'.$this->pageclass_sfx : '';
$page_classes .= ' directory rootcat'.$this->params->get('rootcat', FLEXI_J16GE ? 1:0);
?>

<?php  /* BOF flexicontent */
if ($html5) echo '<section class="main-sec">'."\n"; ?>
<div id="flexicontent" class="flexicontent <?php echo $page_classes; ?>" >

<?php /* BOF heading */
if ( $this->params->get( 'show_page_heading', 1 ) ) : ?>
	<?php if ($html5) echo '<header class="clearfix"><hgroup>'."\n"; ?>
	<h1 class="componentheading">
		<?php echo $this->params->get('page_heading'); ?>
	</h1>
    <?php if ($html5) : ?>
	<h2 class="contentheading">
		<?php echo JText::_( 'FLEXI_CATEGORIES' ) ;?>
	</h2>
	</hgroup></header>
	<?php endif; ?>
<?php else : ?>
	<?php if ($html5) echo '<header class="clearfix">'."\n"; ?>
	<h1 class="contentheading">
		<?php echo JText::_( 'FLEXI_CATEGORIES' ) ;?>
	</h1>
    <?php if ($html5) echo '</header>'."\n";
endif; 
/* EOF heading */ ?>


<?php /* BOF description */
if ($this->params->get('showintrotext')) : ?>
	<div class="description no_space floattext">
		<?php echo $this->params->get('introtext'); ?>
	</div>
<?php endif; 
 /* EOF description */ ?>

<?php echo $this->loadTemplate('categories'); ?>

<?php /* BOF pagination */ ?>
	<?php if ($html5) echo '<footer class="clearfix">'."\n"; ?>
    <p class="pageslinks">
        <?php echo $this->pageNav->getPagesLinks(); ?>
    </p>

    <p class="pagescounter">
        <?php echo $this->pageNav->getPagesCounter(); ?>
    </p>
    <?php if ($html5) echo '</footer>'."\n";
/* EOF pagination */ ?>

</div>
<?php /* BOF flexicontent */ ?>
<?php if ($html5) echo '</section>'."\n"; ?>