<?php defined('_JEXEC') or die('Restricted access');

$html5								= 1; // USE HTML5 or XHTML
$bootstrap							= 1; // USE Bootstrap

$autodisplayextrafields = $this->params->get('autodisplayextrafields', 1);
if(!$autodisplayextrafields) {
$this->document->addScriptDeclaration('
window.addEvent("domready", function() {
  var status = {
    "true": "open",
    "false": "close"
  };

  // -- vertical

  var myVerticalSlide = new Fx.Slide("extrafields").hide();

  /*$("advancedsearchtext").addEvent("click", function(event){
    event.stop();
    myVerticalSlide.slideIn();
  });*/

  $("advancedsearchtext").addEvent("click", function(event){
    //event.stop();
    //myVerticalSlide.slideOut();
    myVerticalSlide.toggle();
  });
});
');
}

$r = 0;

//params[search_fields]
$search_fields = $this->params->get('search_fields', '');
$search_fields = $search_fields?explode(",", $search_fields):array();
$fields = &$this->fields;
?>

<form id="flexicontent-searchForm" <?php if ($bootstrap) echo 'class="form-horizontal"'; ?> action="<?php echo JRoute::_('index.php?option=com_flexicontent&task=search&Itemid='.(JRequest::getVar('Itemid')));?>" method="get" name="searchForm">
	<?php /* BOF fieldset fc_search_set_search */ ?>
	<fieldset id="fc_search_set_search" class="<?php echo ($bootstrap) ? 'well' : 'fc_search_set'; ?>">
		<legend style="border:none;"><?php if ($bootstrap) echo '<i class="badge badge-success">'; ?><?php echo JText::_('FLEXI_BASIC_SEARCH'); ?><?php if ($bootstrap) echo '</i>'; ?></legend>
	<?php if ($bootstrap) : ?>
        <div id="basicfields" class="basicfields <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
            
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                <label class="control-label hasTip" for="search_searchword" title="<?php echo JText::_('FLEXI_SEARCH_KEYWORD'); ?>::<?php echo JText::_('FLEXI_SEARCH_KEYWORD_TIP'); ?>">
    				<?php echo JText::_('FLEXI_SEARCH_KEYWORD'); ?>:
                </label>
                <div class="controls">
                	<div class="input-prepend input-append">
                    	<span class="add-on"><i class="icon-search"></i></span>
                        <input type="text" name="searchword" id="search_searchword" size="30" maxlength="50" value="<?php echo $this->escape($this->searchword); ?>" class="inputbox" />
                        <button name="Search" onclick="this.form.submit()" class="button btn">
                            <i class="icon-ok"></i> <?php echo JText::_( 'FLEXI_SEARCH' );?>
                        </button>
                    </div> 
                </div>
            </div>
            
            <?php if ($show_searchphrase = $this->params->get('show_searchphrase', 1)) : ?>
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                <span class="control-label hasTip" for="search_searchword" title="<?php echo JText::_('FLEXI_SEARCH_KEYWORD_REQUIREMENT'); ?>::<?php echo JText::_('FLEXI_SEARCH_KEYWORD_REQUIREMENT_TIP'); ?>">
    				<?php echo JText::_('FLEXI_SEARCH_KEYWORD_REQUIREMENT'); ?>:
                </span>
                <div class="controls">
    				<?php echo $this->lists['searchphrase']; ?>
                </div>
            </div>
            <?php endif; ?>
            
            <?php if ($this->params->get('cantypes', 1) && (count($this->fieldtypes)>0)) : ?>
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                <label class="control-label hasTip" for="fieldtypes" title="<?php echo JText::_('FLEXI_SEARCH_CONTENT_TYPE'); ?>::<?php echo JText::_('FLEXI_SEARCH_CONTENT_TYPE_TIP'); ?>">
    				<?php echo JText::_('FLEXI_SEARCH_CONTENT_TYPE'); ?>:
                </label>
                <div class="controls">
    				<?php echo $this->lists['fieldtypes'];?>
                </div>
            </div>
            <?php endif; ?>
            
            <?php if ((count($search_fields)>0) && !$autodisplayextrafields) : ?>
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                <div class="controls">
    				<a href="javascript:;" id="advancedsearchtext"><?php echo JText::_('FLEXI_ADVANCED_SEARCH'); ?></a>
                </div>
            </div>
            <?php endif; ?>  
            
		</div>
        
	<?php else : ?>
    
		<table id="basicfields" class="basicfields <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" cellspacing="1" width="100%">
			
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" nowrap="nowrap" class="fc_search_label_cell">
					<label for="search_searchword" class="hasTip" title="<?php echo JText::_('FLEXI_SEARCH_KEYWORD'); ?>::<?php echo JText::_('FLEXI_SEARCH_KEYWORD_TIP'); ?>">
						<?php echo JText::_('FLEXI_SEARCH_KEYWORD'); ?>:
					</label>
				</th>
				<td nowrap="nowrap" class="fc_search_option_cell">
					<input type="text" name="searchword" id="search_searchword" size="30" maxlength="50" value="<?php echo $this->escape($this->searchword); ?>" class="inputbox" />
				</td>
				<td width="100%" nowrap="nowrap">
					<button name="Search" onclick="this.form.submit()" class="button"><?php echo JText::_( 'FLEXI_SEARCH' );?></button>
				</td>
			</tr>
			
			<?php if ($show_searchphrase = $this->params->get('show_searchphrase', 1)) : ?>
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" nowrap="nowrap" class="fc_search_label_cell">
					<span class="hasTip help-inline" title="<?php echo JText::_('FLEXI_SEARCH_KEYWORD_REQUIREMENT'); ?>::<?php echo JText::_('FLEXI_SEARCH_KEYWORD_REQUIREMENT_TIP'); ?>">
						<?php echo JText::_('FLEXI_SEARCH_KEYWORD_REQUIREMENT'); ?>:
					</span>
				</th>
				<td colspan="2" class="fc_search_option_cell">
					<?php echo $this->lists['searchphrase']; ?>
				</td>
			</tr>
			<?php endif; ?>
			
			<?php if ($this->params->get('cantypes', 1) && (count($this->fieldtypes)>0)) : ?>
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" nowrap="nowrap" class="fc_search_label_cell" valign="top">
					<span for="fieldtypes" class="hasTip help-inline" title="<?php echo JText::_('FLEXI_SEARCH_CONTENT_TYPE'); ?>::<?php echo JText::_('FLEXI_SEARCH_CONTENT_TYPE_TIP'); ?>">
						<?php echo JText::_('FLEXI_SEARCH_CONTENT_TYPE'); ?>:
					</span>
				</th>
				<td colspan="2" class="fc_search_option_cell">
					<?php echo $this->lists['fieldtypes'];?>
				</td>
			</tr>
			<?php endif; ?>
			
			<?php if ((count($search_fields)>0) && !$autodisplayextrafields) : ?>
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<td colspan="3" class="fc_search_option_cell">
					<a href="javascript:;" id="advancedsearchtext"><?php echo JText::_('FLEXI_ADVANCED_SEARCH'); ?></a>
				</td>
			</tr>
			<?php endif; ?>
			
		</table>
        
    <?php endif; ?>
	</fieldset>
    <?php /* EOF fieldset fc_search_set_search */ ?>
    
<?php if(count($search_fields)>0) : ?>
	<?php /* EOF fieldset fc_advsearch_set_search */ ?>
	<fieldset id="fc_search_set_advsearch" class="<?php echo ($bootstrap) ? 'well' : 'fc_search_set'; ?>">
		<legend style="border:none;"><?php if ($bootstrap) echo '<i class="badge badge-success">'; ?><?php echo JText::_('FLEXI_ADVANCED_SEARCH'); ?><?php if ($bootstrap) echo '</i>'; ?></legend>
        
    <?php if ($bootstrap) : ?>
    
		<div id="extrafields" class="extrafields <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
        <?php
		foreach($search_fields as $f) {
			if(!isset($fields[$f])) continue;
			?>   
            
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
            <?php if ($fields[$f]->description) : ?>
                <label class="control-label hasTip" for="<?php echo $fields[$f]->name; ?>"  title="<?php echo $fields[$f]->label; ?>::<?php echo $fields[$f]->description; ?>">
    				<?php echo $fields[$f]->label; ?>:
                </label>
            <?php else : ?>
                <label class="control-label hasTip" for="<?php echo $fields[$f]->name; ?>"  title="<?php echo JText::_('FLEXI_SEARCH_MISSING_FIELD_DESCR'); ?>::<?php echo JText::sprintf('FLEXI_SEARCH_MISSING_FIELD_DESCR_TIP', $fields[$f]->label ); ?>">
    				<?php echo $fields[$f]->label; ?>:
                </label>
            <?php endif; ?>
                <div class="controls">
					<?php
					$noplugin = '<div id="fc-change-error" class="fc-error">'. JText::_( 'FLEXI_PLEASE_PUBLISH_PLUGIN' ) .'</div>';
					if(isset($fields[$f]->html)) {
						echo $fields[$f]->html;
					} else {
						echo $noplugin;
					}
					?>
                </div>
            </div>
        <?php } ?> 
           
        </div>
    
    <?php else : ?>

		<table id="extrafields" class="extrafields <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" cellspacing="1" width="100%">		
		
		<?php
			foreach($search_fields as $f) {
				if(!isset($fields[$f])) continue;
		?>
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" class="fc_search_label_cell" valign="top">
				<?php if ($fields[$f]->description) : ?>
					<label for="<?php echo $fields[$f]->name; ?>" class="hasTip" title="<?php echo $fields[$f]->label; ?>::<?php echo $fields[$f]->description; ?>">
						<?php echo $fields[$f]->label; ?>:
					</label>
				<?php else : ?>
					<label for="<?php echo $fields[$f]->name; ?>" class="hasTip" title="<?php echo JText::_('FLEXI_SEARCH_MISSING_FIELD_DESCR'); ?>::<?php echo JText::sprintf('FLEXI_SEARCH_MISSING_FIELD_DESCR_TIP', $fields[$f]->label ); ?>">
						<?php echo $fields[$f]->label; ?>:
					</label>
				<?php endif; ?>
				</th>
				<td colspan="2" class="fc_search_option_cell">
					<?php
					$noplugin = '<div id="fc-change-error" class="fc-error">'. JText::_( 'FLEXI_PLEASE_PUBLISH_PLUGIN' ) .'</div>';
					if(isset($fields[$f]->html)) {
						echo $fields[$f]->html;
					} else {
						echo $noplugin;
					}
					?>
				</td>
			</tr>
			<?php
				//}
			}
			?>
		</table>
	
    <?php endif; ?>	
	</fieldset>
    <?php /* EOF fieldset fc_advsearch_set_search */ ?>
<?php endif; ?>	
    
    <?php /* BOF fc_search_set_search_behavior */ ?>
	<fieldset id="fc_search_set_search_behavior" class="<?php echo ($bootstrap) ? 'well' : 'fc_search_set'; ?>">
		<legend style="border:none;"><?php if ($bootstrap) echo '<i class="badge badge-success">'; ?><?php echo JText::_('FLEXI_SEARCH_BEHAVIOR'); ?><?php if ($bootstrap) echo '</i>'; ?></legend>
        
	<?php if ($bootstrap) : ?>
        <div id="resultoptions" class="resultoptions <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
            
			<?php
			if($show_operator = $this->params->get('show_operator', 1)) :
				$operator_desc = $this->params->get('operator_desc', 'FLEXI_OPERATOR_DESC');
				$operator_desc = ($operator_desc=='FLEXI_OPERATOR_DESC')?JText::_('FLEXI_OPERATOR_DESC'):$operator_desc;
			?>
            
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                <span class="control-label hasTip" title="<?php echo JText::_('FLEXI_BASIC_ADVANCED_COMBINATION'); ?>::<?php echo JText::_('FLEXI_BASIC_ADVANCED_COMBINATION_TIP'); ?>">
    				<?php echo JText::_("FLEXI_BASIC_ADVANCED_COMBINATION"); ?>:
                </span>
                <div class="controls">
    				<?php echo $this->lists['operator']; ?>:
                </div>
            </div>
            <?php endif; ?>	
            
            <?php if($show_searchordering = $this->params->get('show_searchordering', 1)) : ?>
            <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                <label class="control-label hasTip" for="ordering"   title="<?php echo JText::_('FLEXI_SEARCH_ORDERING'); ?>::<?php echo JText::_('FLEXI_SEARCH_ORDERING_TIP'); ?>">
    				<?php echo JText::_( 'FLEXI_SEARCH_ORDERING' );?>:
                </label>
                <div class="controls">
    				<?php echo $this->lists['ordering'];?>
                </div>
            </div>
            <?php endif; ?>	
            
            
           <?php if ($this->params->get( 'show_searchareas', 0 )) : ?>
               <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                    <span class="control-label hasTip" title="<?php echo JText::_('FLEXI_SEARCH_OTHER_CONTENT'); ?>::<?php echo JText::_('FLEXI_SEARCH_OTHER_CONTENT_TIP'); ?>">
                        <?php echo JText::_( 'FLEXI_SEARCH_OTHER_CONTENT' );?>:
                    </span>
                    <div class="controls">
                    <?php // DISABLE search areas 'content' and old 'flexisearch' ?>
                    <?php unset($this->searchareas['search']['content']); unset($this->searchareas['search']['flexisearch']); ?>
                    
                    <?php foreach ($this->searchareas['search'] as $val => $txt) :
                        $checked = is_array( $this->searchareas['active'] ) && in_array( $val, $this->searchareas['active'] ) ? 'checked="checked"' : '';
                    ?>
                        <input type="checkbox" name="areas[]" value="<?php echo $val;?>" id="area_<?php echo $val;?>" <?php echo $checked;?> />
                        <label for="area_<?php echo $val;?>">
                            <?php echo JText::_($txt); ?>
                        </label>
                    <?php endforeach; ?>
                    </div>
                </div>
            <?php else: ?>
                <div class="control-group fc_search_row_<?php echo (($r++)%2);?>">
                    <div class="controls">
                        <input type="hidden" name="areas[]" value="flexicontent" id="area_flexicontent" />
                    </div>
                </div>
            <?php endif; ?>	
         
        </div>
        
    <?php else : ?>
		
		<table id="resultoptions" class="resultoptions <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" cellspacing="1" width="100%">
			<?php
			if($show_operator = $this->params->get('show_operator', 1)) :
				$operator_desc = $this->params->get('operator_desc', 'FLEXI_OPERATOR_DESC');
				$operator_desc = ($operator_desc=='FLEXI_OPERATOR_DESC')?JText::_('FLEXI_OPERATOR_DESC'):$operator_desc;
			?>
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" class="fc_search_label_cell" valign="top">
					<span for="operator" class="hasTip help-inline" title="<?php echo JText::_('FLEXI_BASIC_ADVANCED_COMBINATION'); ?>::<?php echo JText::_('FLEXI_BASIC_ADVANCED_COMBINATION_TIP'); ?>">
						<?php echo JText::_("FLEXI_BASIC_ADVANCED_COMBINATION"); ?>:
					</span>
				</th>
				<td colspan="2" class="fc_search_option_cell">
					<?php echo $this->lists['operator']; ?>:
				</td>
			</tr>
			<?php endif; ?>
			
			<?php if($show_searchordering = $this->params->get('show_searchordering', 1)) : ?>
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" class="fc_search_label_cell" valign="top">
					<label for="ordering" class="hasTip" title="<?php echo JText::_('FLEXI_SEARCH_ORDERING'); ?>::<?php echo JText::_('FLEXI_SEARCH_ORDERING_TIP'); ?>">
						<?php echo JText::_( 'FLEXI_SEARCH_ORDERING' );?>:
					</label>
				</th>
				<td colspan="2" class="fc_search_option_cell">
					<?php echo $this->lists['ordering'];?>
				</td>
			</tr>
			<?php endif; ?>
			
			<?php if ($this->params->get( 'show_searchareas', 0 )) : ?>
			
			<tr class="fc_search_row_<?php echo (($r++)%2);?>">
				<th scope="row" class="fc_search_label_cell" valign="top">
					<span class="hasTip help-inline" title="<?php echo JText::_('FLEXI_SEARCH_OTHER_CONTENT'); ?>::<?php echo JText::_('FLEXI_SEARCH_OTHER_CONTENT_TIP'); ?>">
						<?php echo JText::_( 'FLEXI_SEARCH_OTHER_CONTENT' );?>:
					</span>
                </th>
				<td colspan="2" class="fc_search_option_cell">
					
				<?php // DISABLE search areas 'content' and old 'flexisearch' ?>
				<?php unset($this->searchareas['search']['content']); unset($this->searchareas['search']['flexisearch']); ?>
				
				<?php foreach ($this->searchareas['search'] as $val => $txt) :
					$checked = is_array( $this->searchareas['active'] ) && in_array( $val, $this->searchareas['active'] ) ? 'checked="checked"' : '';
				?>
					<input type="checkbox" name="areas[]" value="<?php echo $val;?>" id="area_<?php echo $val;?>" <?php echo $checked;?> />
					<label for="area_<?php echo $val;?>">
						<?php echo JText::_($txt); ?>
					</label>
				<?php endforeach; ?>
				</td>
			</tr>	
			
			<?php else:?>
		
			<tr>
				<td colspan="3" style="display:none;">
				<input type="hidden" name="areas[]" value="flexicontent" id="area_flexicontent" />
				</td>
			</tr>	
		
			<?php endif; ?>

		</table>
	
    <?php endif; ?>		
	</fieldset>
	<?php /* BOF fc_search_set_search_behavior */ ?>
    
	<table class="searchintro<?php echo $this->escape($this->params->get('pageclass_sfx')); ?> <?php if ($bootstrap) echo 'table table-striped table-bordered table-condensed'; ?>" cellspacing="1" width="100%">
	<tr>
    	<th style="width:20%;" scope="row" class="fc_search_label_cell" nowrap="nowrap" valign="top">
			<?php echo JText::_( 'FLEXI_SEARCH_KEYWORD' ); ?>
		</th>
		<td colspan="2" >
			<?php echo (($bootstrap) ? '<i class="badge">' : '<i>'). $this->escape($this->searchword) .'</i>'; ?>
		</td>
	</tr>
	<tr>
		<td colspan="3">
			<?php echo $this->result; ?>
		</td>
	</tr>
</table>

<?php if($this->total > 0) : ?>
<fieldset id="fc_search_display_num" class="<?php echo ($bootstrap) ? 'well' : ''; ?>">
	<div class="searchlimit <?php if ($bootstrap) echo 'control-group'; ?>">
		<label <?php if ($bootstrap) echo 'class="control-label"'; ?> for="limit">
			<?php echo JText::_( 'Display Num' ); ?>
		</label>
        <?php if ($bootstrap) echo '<div class="controls">'; ?>
		<?php echo $this->pagination->getLimitBox( ); ?>
        <?php if ($bootstrap) echo '</div>'; ?>
	</div>
</fieldset>
<div class="searchpagination">
    <?php //echo $this->pagination->getPagesCounter(); ?>
    <?php echo $this->pagination->getPagesLinks(); ?>
</div>
<?php endif; ?>
<?php if(!$show_searchphrase) {
$default_searchphrase = $this->params->get('default_searchphrase', 'all');
?>
<input type="hidden" name="searchphrase" value="<?php echo $default_searchphrase;?>" />
<?php } ?>
<?php if(!$show_operator) {
$default_operator = $this->params->get('default_operator', 'OR');
?>
<input type="hidden" name="operator" value="<?php echo $default_operator;?>" />
<?php } ?>
<?php if(!$show_searchordering) {
$default_searchordering = $this->params->get('default_searchordering', 'newest');
?>
<input type="hidden" name="ordering" value="<?php echo $default_searchordering;?>" />
<?php } ?>
<input type="hidden" name="option" value="com_flexicontent" />
<input type="hidden" name="view" value="search" />
<input type="hidden" name="task" value="search" />
<input type="hidden" name="Itemid" value="<?php echo JRequest::getVar("Itemid");?>" />
</form>
